%define name normalize
%define version 0.7.7
%define release %mkrel 3

Summary:	A tool for adjusting the volume of wave files
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Patch0:		compressed-wav-files.dpatch
Patch1:		fix-flac.dpatch
Patch2:		normalize-0.7.7-audiofile-pkgconfig.patch
Patch3:		normalize-0.7.7-m4.patch
Patch4:		normalize-0.7.7-mdv-fix-local-config.patch
Patch5:		normalize-0.7.7-automake-1.13.patch
License:	GPLv2+
URL:		http://normalize.nongnu.org/
Group:		Sound
BuildRequires:	audiofile-devel
BuildRequires:	mad-devel
BuildRequires:	gettext-devel

%description
normalize is an overly complicated tool for adjusting the volume of
wave files to a standard volume level.  This is useful for things like
creating mp3 mixes, where different recording levels on different
albums can cause the volume to vary greatly from song to song.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1 -b .automake-1_13

%build
touch ./AUTHORS ./ABOUT-NLS ./ChangeLog
autoreconf -fi -I m4
%configure2_5x --with-audiofile \
	--disable-xmms
perl -pi -e 's/mkinstalldirs\s+=.*/mkinstalldirs = mkdir -p /' po/Makefile
%make

%install
%makeinstall_std
%{find_lang} %{name}

%files -f %{name}.lang
%doc README NEWS THANKS TODO
%_bindir/*
%_mandir/man1/normalize*


%changelog
* Sun Jun 09 2013 Texstar <texstar at gmail.com> 0.7.7-3pclos2013
- rebuild for new libaudiofile1

* Fri Jun 18 2010 Texstar <texstar at gmail.com> 0.7.7-2pclos2010
- update for 2010 release

